package com.ssyf.module.auth.helper;

import cn.hutool.core.util.IdUtil;

/**
 * 用户帮助类
 * @author huwei
 * @date 2024/2/19 17:10
 */
public class UserHelper {

    /**
     * 生成用户名
     * @param phone
     * @param mail
     * @return
     */
    public static String createUsername(String phone, String mail) {
        StringBuilder stringBuilder = new StringBuilder();
        stringBuilder.append("YH_").append(IdUtil.simpleUUID());
        return stringBuilder.toString();
    }

    /**
     * 生成用户昵称
     * @param username
     * @return
     */
    public static String createNickname(String username) {
        return new StringBuilder("用户").append(System.currentTimeMillis()).toString();
    }

}
